### org.jfree.layouting.output.pageable

# Class LogicalPageKey

- `java.lang.Object`
- - `org.jfree.layouting.output.pageable.LogicalPageKey`

Implemented Interfaces:
  Serializable

`public final class LogicalPageKey`
`extends java.lang.Object`
`implements Serializable`

Creation-Date: 10.11.2006, 13:04:36

Author:
  Thomas Morgner

  ## Constructor Summary

  `LogicalPageKey(int position, int width, int height)`

  ## Method Summary

  `boolean`

  `equals(Object o)`

  `int`

  `getHeight()`

  `PhysicalPageKey`

  `getPage(int x, int y)`

  `int`

  `getPosition()`

  `int`

  `getWidth()`

  `int`

  `hashCode()`

## Constructor Details

### LogicalPageKey

    public LogicalPageKey(int position,
                          int width,
                          int height)

## Method Details

### equals

    public boolean equals(Object o)

### getHeight

    public int getHeight()

### getPage

    public PhysicalPageKey getPage(int x,
                                   int y)

### getPosition

    public int getPosition()

### getWidth

    public int getWidth()

### hashCode

    public int hashCode()